import { FieldInfo } from 'model-util-base'
import { ConditionUtil, ConditionUtilImpl, FieldUtil, TableUtilImpl, IdType, JoinTable, SubTable } from 'model-util'
import { Container, Singleton } from 'typescript-ioc' 
import { CnProjectDeploy } from '../models/index' 
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-31 14:56
 */
interface CnProjectDeployCU extends ConditionUtil<CnProjectDeployCU>{
    ID:FieldUtil<CnProjectDeployCU>;
    SERVICE_CENTER_ID:FieldUtil<CnProjectDeployCU>;
    APP_ID:FieldUtil<CnProjectDeployCU>;
    ENV_ID:FieldUtil<CnProjectDeployCU>;
    ENV_CODE:FieldUtil<CnProjectDeployCU>;
    K8S_ID:FieldUtil<CnProjectDeployCU>;
    PROJECT_ID:FieldUtil<CnProjectDeployCU>;
    GATEWAY_ID:FieldUtil<CnProjectDeployCU>;
    PROJECT_VERSION:FieldUtil<CnProjectDeployCU>;
    PACK_TYPE:FieldUtil<CnProjectDeployCU>;
    IMAGE_ID:FieldUtil<CnProjectDeployCU>;
    IMAGE_INFO:FieldUtil<CnProjectDeployCU>;
    START_SCRIPT:FieldUtil<CnProjectDeployCU>;
    IMAGE_PORT_MAPPING:FieldUtil<CnProjectDeployCU>;
    OSS_FILE_NAME:FieldUtil<CnProjectDeployCU>;
    ENV_JSON:FieldUtil<CnProjectDeployCU>;
    SPEC_TEMPLATE_ID:FieldUtil<CnProjectDeployCU>;
    METRICS_TEMPLATE_ID:FieldUtil<CnProjectDeployCU>;
    MIN_INSTANCE:FieldUtil<CnProjectDeployCU>;
    MAX_INSTANCE:FieldUtil<CnProjectDeployCU>;
    CPU:FieldUtil<CnProjectDeployCU>;
    MEMORY:FieldUtil<CnProjectDeployCU>;
    PROGRESS_KEYWORD:FieldUtil<CnProjectDeployCU>;
    APP_OPTIONS_CONFIG:FieldUtil<CnProjectDeployCU>;
    KAFKA_CONFIG:FieldUtil<CnProjectDeployCU>;
    KAFAK_ID:FieldUtil<CnProjectDeployCU>;
    DEPLOY_STATUS:FieldUtil<CnProjectDeployCU>;
    DEPLOY_MSG:FieldUtil<CnProjectDeployCU>;
    DELETED:FieldUtil<CnProjectDeployCU>;
    CREATE_USER_ID:FieldUtil<CnProjectDeployCU>;
    CREATE_TIME:FieldUtil<CnProjectDeployCU>;
    UPDATE_USER_ID:FieldUtil<CnProjectDeployCU>;
    UPDATE_TIME:FieldUtil<CnProjectDeployCU>;
    SERVICE_CENTER_NAME:FieldUtil<CnProjectDeployCU>;
    APP_NAME:FieldUtil<CnProjectDeployCU>;
    K8S_NAME:FieldUtil<CnProjectDeployCU>;
    IMAGE_NAME:FieldUtil<CnProjectDeployCU>;
    SPEC_TEMPLATE_NAME:FieldUtil<CnProjectDeployCU>;
    METRICS_TEMPLATE_NAME:FieldUtil<CnProjectDeployCU>;
    SLB_NAME:FieldUtil<CnProjectDeployCU>;
}

class CnProjectDeployCUImpl extends ConditionUtilImpl<CnProjectDeployCUImpl> implements CnProjectDeployCU{ 
    newInstance(): CnProjectDeployCUImpl {
        return new CnProjectDeployCUImpl();
    } 
    get ID(): FieldUtil<CnProjectDeployCU>{  
        return new FieldUtil('id','id','主键', this);
    }
    get SERVICE_CENTER_ID(): FieldUtil<CnProjectDeployCU>{  
        return new FieldUtil('service_center_id','serviceCenterId','服务中心ID', this);
    }
    get APP_ID(): FieldUtil<CnProjectDeployCU>{  
        return new FieldUtil('app_id','appId','应用ID', this);
    }
    get ENV_ID(): FieldUtil<CnProjectDeployCU>{  
        return new FieldUtil('env_id','envId','环境ID', this);
    }
    get ENV_CODE(): FieldUtil<CnProjectDeployCU>{  
        return new FieldUtil('env_code','envCode','TEST/PROD...', this);
    }
    get K8S_ID(): FieldUtil<CnProjectDeployCU>{  
        return new FieldUtil('k8s_id','k8sId','K8S集群ID', this);
    }
    get PROJECT_ID(): FieldUtil<CnProjectDeployCU>{  
        return new FieldUtil('project_id','projectId','项目ID', this);
    }
    get GATEWAY_ID(): FieldUtil<CnProjectDeployCU>{  
        return new FieldUtil('gateway_id','gatewayId','网关ID', this);
    }
    get PROJECT_VERSION(): FieldUtil<CnProjectDeployCU>{  
        return new FieldUtil('project_version','projectVersion','项目版本', this);
    }
    get PACK_TYPE(): FieldUtil<CnProjectDeployCU>{  
        return new FieldUtil('pack_type','packType','1-jar,2-war', this);
    }
    get IMAGE_ID(): FieldUtil<CnProjectDeployCU>{  
        return new FieldUtil('image_id','imageId','镜像id', this);
    }
    get IMAGE_INFO(): FieldUtil<CnProjectDeployCU>{  
        return new FieldUtil('image_info','imageInfo','repositoryName:tag', this);
    }
    get START_SCRIPT(): FieldUtil<CnProjectDeployCU>{  
        return new FieldUtil('start_script','startScript','容器启动脚本：sleep 6000', this);
    }
    get IMAGE_PORT_MAPPING(): FieldUtil<CnProjectDeployCU>{  
        return new FieldUtil('image_port_mapping','imagePortMapping','8080', this);
    }
    get OSS_FILE_NAME(): FieldUtil<CnProjectDeployCU>{  
        return new FieldUtil('oss_file_name','ossFileName','OSS文件名称', this);
    }
    get ENV_JSON(): FieldUtil<CnProjectDeployCU>{  
        return new FieldUtil('env_json','envJson','环境变量JSON', this);
    }
    get SPEC_TEMPLATE_ID(): FieldUtil<CnProjectDeployCU>{  
        return new FieldUtil('spec_template_id','specTemplateId','容器规格id', this);
    }
    get METRICS_TEMPLATE_ID(): FieldUtil<CnProjectDeployCU>{  
        return new FieldUtil('metrics_template_id','metricsTemplateId','弹性伸缩模板ID', this);
    }
    get MIN_INSTANCE(): FieldUtil<CnProjectDeployCU>{  
        return new FieldUtil('min_instance','minInstance','1', this);
    }
    get MAX_INSTANCE(): FieldUtil<CnProjectDeployCU>{  
        return new FieldUtil('max_instance','maxInstance','8', this);
    }
    get CPU(): FieldUtil<CnProjectDeployCU>{  
        return new FieldUtil('cpu','cpu','cpu', this);
    }
    get MEMORY(): FieldUtil<CnProjectDeployCU>{  
        return new FieldUtil('memory','memory','内存', this);
    }
    get PROGRESS_KEYWORD(): FieldUtil<CnProjectDeployCU>{  
        return new FieldUtil('progress_keyword','progressKeyword','进程关键字', this);
    }
    get APP_OPTIONS_CONFIG(): FieldUtil<CnProjectDeployCU>{  
        return new FieldUtil('app_options_config','appOptionsConfig','应用选项配置JSON', this);
    }
    get KAFKA_CONFIG(): FieldUtil<CnProjectDeployCU>{  
        return new FieldUtil('kafka_config','kafkaConfig','Kafka配置', this);
    }
    get KAFAK_ID(): FieldUtil<CnProjectDeployCU>{  
        return new FieldUtil('kafak_id','kafakId','KafakID', this);
    }
    get DEPLOY_STATUS(): FieldUtil<CnProjectDeployCU>{  
        return new FieldUtil('deploy_status','deployStatus','0-已部署、1-待部署、2-部署中、3-部署失败、4-待释放、5-停止中、6-已释放、7-释放失败', this);
    }
    get DEPLOY_MSG(): FieldUtil<CnProjectDeployCU>{  
        return new FieldUtil('deploy_msg','deployMsg','部署日志信息', this);
    }
    get DELETED(): FieldUtil<CnProjectDeployCU>{  
        return new FieldUtil('deleted','deleted','删除标记', this);
    }
    get CREATE_USER_ID(): FieldUtil<CnProjectDeployCU>{  
        return new FieldUtil('create_user_id','createUserId','创建人', this);
    }
    get CREATE_TIME(): FieldUtil<CnProjectDeployCU>{  
        return new FieldUtil('create_time','createTime','创建时间', this);
    }
    get UPDATE_USER_ID(): FieldUtil<CnProjectDeployCU>{  
        return new FieldUtil('update_user_id','updateUserId','更新人', this);
    }
    get UPDATE_TIME(): FieldUtil<CnProjectDeployCU>{  
        return new FieldUtil('update_time','updateTime','更新时间', this);
    }
    get SERVICE_CENTER_NAME(): FieldUtil<CnProjectDeployCU>{  
        return new FieldUtil('service_center_name','serviceCenterName','service_center_name', this);
    }
    get APP_NAME(): FieldUtil<CnProjectDeployCU>{  
        return new FieldUtil('app_name','appName','app_name', this);
    }
    get K8S_NAME(): FieldUtil<CnProjectDeployCU>{  
        return new FieldUtil('k8s_name','k8sName','k8s_name', this);
    }
    get IMAGE_NAME(): FieldUtil<CnProjectDeployCU>{  
        return new FieldUtil('image_name','imageName','image_name', this);
    }
    get SPEC_TEMPLATE_NAME(): FieldUtil<CnProjectDeployCU>{  
        return new FieldUtil('spec_template_name','specTemplateName','spec_template_name', this);
    }
    get METRICS_TEMPLATE_NAME(): FieldUtil<CnProjectDeployCU>{  
        return new FieldUtil('metrics_template_name','metricsTemplateName','metrics_template_name', this);
    }
    get SLB_NAME(): FieldUtil<CnProjectDeployCU>{  
        return new FieldUtil('slb_name','slbName','slb名称', this);
    }
}

@Singleton 
class CnProjectDeployMU extends TableUtilImpl<CnProjectDeployCU,CnProjectDeploy>{ 
    tableName  = 'cn_project_deploy';
    tableFields  = ['id','service_center_id','app_id','env_id','env_code','k8s_id','project_id','gateway_id','project_version','pack_type','image_id','image_info','start_script','image_port_mapping','oss_file_name','env_json','spec_template_id','metrics_template_id','min_instance','max_instance','cpu','memory','progress_keyword','app_options_config','kafka_config','kafak_id','deploy_status','deploy_msg','deleted','create_user_id','create_time','update_user_id','update_time','service_center_name','app_name','k8s_name','image_name','spec_template_name','metrics_template_name','slb_name'];
    modelFields  = ['id','serviceCenterId','appId','envId','envCode','k8sId','projectId','gatewayId','projectVersion','packType','imageId','imageInfo','startScript','imagePortMapping','ossFileName','envJson','specTemplateId','metricsTemplateId','minInstance','maxInstance','cpu','memory','progressKeyword','appOptionsConfig','kafkaConfig','kafakId','deployStatus','deployMsg','deleted','createUserId','createTime','updateUserId','updateTime','serviceCenterName','appName','k8sName','imageName','specTemplateName','metricsTemplateName','slbName'];
    modelIdFields  = ['id'];
    tableIdFields  = ['id'];
    idType = IdType.CUSTOM;
    joinTables = [];
    subTables = [];

    createConditionUtil(): CnProjectDeployCU {
        return new CnProjectDeployCUImpl();
    }   

    static get ID(): FieldUtil<CnProjectDeployCU>{ 
        return new FieldUtil('id','id','主键', new CnProjectDeployCUImpl());
    }
    static get SERVICE_CENTER_ID(): FieldUtil<CnProjectDeployCU>{ 
        return new FieldUtil('service_center_id','serviceCenterId','服务中心ID', new CnProjectDeployCUImpl());
    }
    static get APP_ID(): FieldUtil<CnProjectDeployCU>{ 
        return new FieldUtil('app_id','appId','应用ID', new CnProjectDeployCUImpl());
    }
    static get ENV_ID(): FieldUtil<CnProjectDeployCU>{ 
        return new FieldUtil('env_id','envId','环境ID', new CnProjectDeployCUImpl());
    }
    static get ENV_CODE(): FieldUtil<CnProjectDeployCU>{ 
        return new FieldUtil('env_code','envCode','TEST/PROD...', new CnProjectDeployCUImpl());
    }
    static get K8S_ID(): FieldUtil<CnProjectDeployCU>{ 
        return new FieldUtil('k8s_id','k8sId','K8S集群ID', new CnProjectDeployCUImpl());
    }
    static get PROJECT_ID(): FieldUtil<CnProjectDeployCU>{ 
        return new FieldUtil('project_id','projectId','项目ID', new CnProjectDeployCUImpl());
    }
    static get GATEWAY_ID(): FieldUtil<CnProjectDeployCU>{ 
        return new FieldUtil('gateway_id','gatewayId','网关ID', new CnProjectDeployCUImpl());
    }
    static get PROJECT_VERSION(): FieldUtil<CnProjectDeployCU>{ 
        return new FieldUtil('project_version','projectVersion','项目版本', new CnProjectDeployCUImpl());
    }
    static get PACK_TYPE(): FieldUtil<CnProjectDeployCU>{ 
        return new FieldUtil('pack_type','packType','1-jar,2-war', new CnProjectDeployCUImpl());
    }
    static get IMAGE_ID(): FieldUtil<CnProjectDeployCU>{ 
        return new FieldUtil('image_id','imageId','镜像id', new CnProjectDeployCUImpl());
    }
    static get IMAGE_INFO(): FieldUtil<CnProjectDeployCU>{ 
        return new FieldUtil('image_info','imageInfo','repositoryName:tag', new CnProjectDeployCUImpl());
    }
    static get START_SCRIPT(): FieldUtil<CnProjectDeployCU>{ 
        return new FieldUtil('start_script','startScript','容器启动脚本：sleep 6000', new CnProjectDeployCUImpl());
    }
    static get IMAGE_PORT_MAPPING(): FieldUtil<CnProjectDeployCU>{ 
        return new FieldUtil('image_port_mapping','imagePortMapping','8080', new CnProjectDeployCUImpl());
    }
    static get OSS_FILE_NAME(): FieldUtil<CnProjectDeployCU>{ 
        return new FieldUtil('oss_file_name','ossFileName','OSS文件名称', new CnProjectDeployCUImpl());
    }
    static get ENV_JSON(): FieldUtil<CnProjectDeployCU>{ 
        return new FieldUtil('env_json','envJson','环境变量JSON', new CnProjectDeployCUImpl());
    }
    static get SPEC_TEMPLATE_ID(): FieldUtil<CnProjectDeployCU>{ 
        return new FieldUtil('spec_template_id','specTemplateId','容器规格id', new CnProjectDeployCUImpl());
    }
    static get METRICS_TEMPLATE_ID(): FieldUtil<CnProjectDeployCU>{ 
        return new FieldUtil('metrics_template_id','metricsTemplateId','弹性伸缩模板ID', new CnProjectDeployCUImpl());
    }
    static get MIN_INSTANCE(): FieldUtil<CnProjectDeployCU>{ 
        return new FieldUtil('min_instance','minInstance','1', new CnProjectDeployCUImpl());
    }
    static get MAX_INSTANCE(): FieldUtil<CnProjectDeployCU>{ 
        return new FieldUtil('max_instance','maxInstance','8', new CnProjectDeployCUImpl());
    }
    static get CPU(): FieldUtil<CnProjectDeployCU>{ 
        return new FieldUtil('cpu','cpu','cpu', new CnProjectDeployCUImpl());
    }
    static get MEMORY(): FieldUtil<CnProjectDeployCU>{ 
        return new FieldUtil('memory','memory','内存', new CnProjectDeployCUImpl());
    }
    static get PROGRESS_KEYWORD(): FieldUtil<CnProjectDeployCU>{ 
        return new FieldUtil('progress_keyword','progressKeyword','进程关键字', new CnProjectDeployCUImpl());
    }
    static get APP_OPTIONS_CONFIG(): FieldUtil<CnProjectDeployCU>{ 
        return new FieldUtil('app_options_config','appOptionsConfig','应用选项配置JSON', new CnProjectDeployCUImpl());
    }
    static get KAFKA_CONFIG(): FieldUtil<CnProjectDeployCU>{ 
        return new FieldUtil('kafka_config','kafkaConfig','Kafka配置', new CnProjectDeployCUImpl());
    }
    static get KAFAK_ID(): FieldUtil<CnProjectDeployCU>{ 
        return new FieldUtil('kafak_id','kafakId','KafakID', new CnProjectDeployCUImpl());
    }
    static get DEPLOY_STATUS(): FieldUtil<CnProjectDeployCU>{ 
        return new FieldUtil('deploy_status','deployStatus','0-已部署、1-待部署、2-部署中、3-部署失败、4-待释放、5-停止中、6-已释放、7-释放失败', new CnProjectDeployCUImpl());
    }
    static get DEPLOY_MSG(): FieldUtil<CnProjectDeployCU>{ 
        return new FieldUtil('deploy_msg','deployMsg','部署日志信息', new CnProjectDeployCUImpl());
    }
    static get DELETED(): FieldUtil<CnProjectDeployCU>{ 
        return new FieldUtil('deleted','deleted','删除标记', new CnProjectDeployCUImpl());
    }
    static get CREATE_USER_ID(): FieldUtil<CnProjectDeployCU>{ 
        return new FieldUtil('create_user_id','createUserId','创建人', new CnProjectDeployCUImpl());
    }
    static get CREATE_TIME(): FieldUtil<CnProjectDeployCU>{ 
        return new FieldUtil('create_time','createTime','创建时间', new CnProjectDeployCUImpl());
    }
    static get UPDATE_USER_ID(): FieldUtil<CnProjectDeployCU>{ 
        return new FieldUtil('update_user_id','updateUserId','更新人', new CnProjectDeployCUImpl());
    }
    static get UPDATE_TIME(): FieldUtil<CnProjectDeployCU>{ 
        return new FieldUtil('update_time','updateTime','更新时间', new CnProjectDeployCUImpl());
    }
    static get SERVICE_CENTER_NAME(): FieldUtil<CnProjectDeployCU>{ 
        return new FieldUtil('service_center_name','serviceCenterName','service_center_name', new CnProjectDeployCUImpl());
    }
    static get APP_NAME(): FieldUtil<CnProjectDeployCU>{ 
        return new FieldUtil('app_name','appName','app_name', new CnProjectDeployCUImpl());
    }
    static get K8S_NAME(): FieldUtil<CnProjectDeployCU>{ 
        return new FieldUtil('k8s_name','k8sName','k8s_name', new CnProjectDeployCUImpl());
    }
    static get IMAGE_NAME(): FieldUtil<CnProjectDeployCU>{ 
        return new FieldUtil('image_name','imageName','image_name', new CnProjectDeployCUImpl());
    }
    static get SPEC_TEMPLATE_NAME(): FieldUtil<CnProjectDeployCU>{ 
        return new FieldUtil('spec_template_name','specTemplateName','spec_template_name', new CnProjectDeployCUImpl());
    }
    static get METRICS_TEMPLATE_NAME(): FieldUtil<CnProjectDeployCU>{ 
        return new FieldUtil('metrics_template_name','metricsTemplateName','metrics_template_name', new CnProjectDeployCUImpl());
    }
    static get SLB_NAME(): FieldUtil<CnProjectDeployCU>{ 
        return new FieldUtil('slb_name','slbName','slb名称', new CnProjectDeployCUImpl());
    }

    get ID(): FieldUtil<CnProjectDeployCU>{ 
        return CnProjectDeployMU.ID;
    }
    get SERVICE_CENTER_ID(): FieldUtil<CnProjectDeployCU>{ 
        return CnProjectDeployMU.SERVICE_CENTER_ID;
    }
    get APP_ID(): FieldUtil<CnProjectDeployCU>{ 
        return CnProjectDeployMU.APP_ID;
    }
    get ENV_ID(): FieldUtil<CnProjectDeployCU>{ 
        return CnProjectDeployMU.ENV_ID;
    }
    get ENV_CODE(): FieldUtil<CnProjectDeployCU>{ 
        return CnProjectDeployMU.ENV_CODE;
    }
    get K8S_ID(): FieldUtil<CnProjectDeployCU>{ 
        return CnProjectDeployMU.K8S_ID;
    }
    get PROJECT_ID(): FieldUtil<CnProjectDeployCU>{ 
        return CnProjectDeployMU.PROJECT_ID;
    }
    get GATEWAY_ID(): FieldUtil<CnProjectDeployCU>{ 
        return CnProjectDeployMU.GATEWAY_ID;
    }
    get PROJECT_VERSION(): FieldUtil<CnProjectDeployCU>{ 
        return CnProjectDeployMU.PROJECT_VERSION;
    }
    get PACK_TYPE(): FieldUtil<CnProjectDeployCU>{ 
        return CnProjectDeployMU.PACK_TYPE;
    }
    get IMAGE_ID(): FieldUtil<CnProjectDeployCU>{ 
        return CnProjectDeployMU.IMAGE_ID;
    }
    get IMAGE_INFO(): FieldUtil<CnProjectDeployCU>{ 
        return CnProjectDeployMU.IMAGE_INFO;
    }
    get START_SCRIPT(): FieldUtil<CnProjectDeployCU>{ 
        return CnProjectDeployMU.START_SCRIPT;
    }
    get IMAGE_PORT_MAPPING(): FieldUtil<CnProjectDeployCU>{ 
        return CnProjectDeployMU.IMAGE_PORT_MAPPING;
    }
    get OSS_FILE_NAME(): FieldUtil<CnProjectDeployCU>{ 
        return CnProjectDeployMU.OSS_FILE_NAME;
    }
    get ENV_JSON(): FieldUtil<CnProjectDeployCU>{ 
        return CnProjectDeployMU.ENV_JSON;
    }
    get SPEC_TEMPLATE_ID(): FieldUtil<CnProjectDeployCU>{ 
        return CnProjectDeployMU.SPEC_TEMPLATE_ID;
    }
    get METRICS_TEMPLATE_ID(): FieldUtil<CnProjectDeployCU>{ 
        return CnProjectDeployMU.METRICS_TEMPLATE_ID;
    }
    get MIN_INSTANCE(): FieldUtil<CnProjectDeployCU>{ 
        return CnProjectDeployMU.MIN_INSTANCE;
    }
    get MAX_INSTANCE(): FieldUtil<CnProjectDeployCU>{ 
        return CnProjectDeployMU.MAX_INSTANCE;
    }
    get CPU(): FieldUtil<CnProjectDeployCU>{ 
        return CnProjectDeployMU.CPU;
    }
    get MEMORY(): FieldUtil<CnProjectDeployCU>{ 
        return CnProjectDeployMU.MEMORY;
    }
    get PROGRESS_KEYWORD(): FieldUtil<CnProjectDeployCU>{ 
        return CnProjectDeployMU.PROGRESS_KEYWORD;
    }
    get APP_OPTIONS_CONFIG(): FieldUtil<CnProjectDeployCU>{ 
        return CnProjectDeployMU.APP_OPTIONS_CONFIG;
    }
    get KAFKA_CONFIG(): FieldUtil<CnProjectDeployCU>{ 
        return CnProjectDeployMU.KAFKA_CONFIG;
    }
    get KAFAK_ID(): FieldUtil<CnProjectDeployCU>{ 
        return CnProjectDeployMU.KAFAK_ID;
    }
    get DEPLOY_STATUS(): FieldUtil<CnProjectDeployCU>{ 
        return CnProjectDeployMU.DEPLOY_STATUS;
    }
    get DEPLOY_MSG(): FieldUtil<CnProjectDeployCU>{ 
        return CnProjectDeployMU.DEPLOY_MSG;
    }
    get DELETED(): FieldUtil<CnProjectDeployCU>{ 
        return CnProjectDeployMU.DELETED;
    }
    get CREATE_USER_ID(): FieldUtil<CnProjectDeployCU>{ 
        return CnProjectDeployMU.CREATE_USER_ID;
    }
    get CREATE_TIME(): FieldUtil<CnProjectDeployCU>{ 
        return CnProjectDeployMU.CREATE_TIME;
    }
    get UPDATE_USER_ID(): FieldUtil<CnProjectDeployCU>{ 
        return CnProjectDeployMU.UPDATE_USER_ID;
    }
    get UPDATE_TIME(): FieldUtil<CnProjectDeployCU>{ 
        return CnProjectDeployMU.UPDATE_TIME;
    }
    get SERVICE_CENTER_NAME(): FieldUtil<CnProjectDeployCU>{ 
        return CnProjectDeployMU.SERVICE_CENTER_NAME;
    }
    get APP_NAME(): FieldUtil<CnProjectDeployCU>{ 
        return CnProjectDeployMU.APP_NAME;
    }
    get K8S_NAME(): FieldUtil<CnProjectDeployCU>{ 
        return CnProjectDeployMU.K8S_NAME;
    }
    get IMAGE_NAME(): FieldUtil<CnProjectDeployCU>{ 
        return CnProjectDeployMU.IMAGE_NAME;
    }
    get SPEC_TEMPLATE_NAME(): FieldUtil<CnProjectDeployCU>{ 
        return CnProjectDeployMU.SPEC_TEMPLATE_NAME;
    }
    get METRICS_TEMPLATE_NAME(): FieldUtil<CnProjectDeployCU>{ 
        return CnProjectDeployMU.METRICS_TEMPLATE_NAME;
    }
    get SLB_NAME(): FieldUtil<CnProjectDeployCU>{ 
        return CnProjectDeployMU.SLB_NAME;
    }
}
export {CnProjectDeployMU, CnProjectDeployCU}
